show gpu metrics
curl --request GET \
--url https://console.vast.ai/api/v0/metrics/gpu/current/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.vast.ai/api/v0/metrics/gpu/current/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.vast.ai/api/v0/metrics/gpu/current/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"gpus": [
{
"gpu_name": "RTX 4090",
"total": 123,
"available": 123,
"rented_verified": 123,
"avail_verified": 123,
"rented_unverified": 123,
"avail_unverified": 123,
"usage": 123,
"usage_30d": 123,
"dlperf": 123,
"tflops": 123,
"price_p10": 123,
"price_p25": 123,
"price_median": 123,
"price_p75": 123,
"price_p90": 123,
"tflops_per_dollar": 123,
"dlperf_per_dollar": 123
}
]
}{
"success": false,
"error": "<string>",
"msg": "<string>"
}{
"detail": "API requests too frequent endpoint threshold=3.0"
}Machines
show gpu metrics
Returns a current snapshot of supply, demand, and pricing across all GPU types on the Vast marketplace. Use filters to narrow results to verified or datacenter machines.
CLI Usage: vastai metrics gpu [options]
GET
/
api
/
v0
/
metrics
/
gpu
/
current
/
show gpu metrics
Authorizations
API key must be provided in the Authorization header
Query Parameters
Filter by verification status
Available options:
yes, no, all Filter by hosting type
Available options:
all, secure_cloud, community GPU count bucket or "all" for true population
⌘I